Timekit developers

PUT Update a resource

Update a specific resource

Update the current user's/resource's properties like first and last name, password and timezone. To change the name, send first_name and/or last_name; a name property is ignored on update.

Updating a resource through the API is not available on all plans. See Create a resource for details.

Endpoint

PUT https://api.timekit.io/v2/resources/:id

Parameters

Name In Type Required Default Description
first_name body string First name of the user
last_name body string Last name of the user
timezone body string User's timezone following "area/city" schema
password body string User's password in cleartext. Must be at least 6 characters and contain at least one letter, one digit and one of !, $, # or %. Requires password_confirmation
password_confirmation body string Required when password is sent. Must match password
id path string id of the specific resource
meta body object meta data that you can add onto a resource

Request examples

curl
curl --request PUT \
  --url https://api.timekit.io/v2/resources/d187d6e0-d6cb-409a-ae60-45a8fd0ec879 \
  --header 'Content-Type: application/json' \
  --user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7 \
  --data '{
          "first_name": "Emmett",
          "last_name": "Brown",
          "password": "FluxCapacitor88!",
          "password_confirmation": "FluxCapacitor88!",
          "timezone": "America/Los_angeles",
          "tags": [
            "scientist", 
            "genius"
           ]
        }'

Response examples

204

A successful update returns 204 No Content with an empty body. Use Retrieve a resource to read the updated resource.

Last edited 6 October 2026.